| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
List of all members
cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyFill Class Reference
Extended Image Processing » Image segmentation

Fill-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [278]. More...

`#include <opencv2/ximgproc/segmentation.hpp>`

Collaboration diagram for cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyFill:

## Additional Inherited Members
Public Member Functions inherited from cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy
virtual float | get (int r1, int r2)=0
| Return the score between two regions (between 0 and 1)
virtual void | merge (int r1, int r2)=0
| Inform the strategy that two regions will be merged.
virtual void | setImage (InputArray img, InputArray regions, InputArray sizes, int image_id=-1)=0
| Set a initial image, with a segmentation.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Fill-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [278].

The documentation for this class was generated from the following file:

- opencv2/ximgproc/segmentation.hpp